## org.eclipse.emf.validation.ui.ide.quickfix
Class ValidationMarkerResolution

    java.lang.Object
      org.eclipse.emf.validation.ui.ide.quickfix.ValidationMarkerResolution

All Implemented Interfaces:
  IMarkerResolutionGenerator

    public class ValidationMarkerResolution

extends Object
implements IMarkerResolutionGenerator

A generator for problem marker resolutions that can fix validation problems. Currently, this class only supports the "sweep it under the rug" resolution that disables the constraint that reported the problem. Future capabilities will include delegation to resolution generators provided by constraint providers, that will know how to actually fix problems.

Constructor Summary
`ValidationMarkerResolution()`

Method Summary
`IMarkerResolution[]` `getResolutions(IMarker marker)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationMarkerResolution

    public ValidationMarkerResolution()

Method Detail

### getResolutions

    public IMarkerResolution[] getResolutions(IMarker marker)

  Specified by:
    `getResolutions` in interface `IMarkerResolutionGenerator`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.